Name:      mapbender
Version:   2.5
Release:   3%{?dist}
Summary:   Geospatial portal for OGC OWS architectures
Group:     Applications/Internet
License:   GPLv2
URL:       http://www.mapbender.org/
Source0:   http://www.mapbender.org/download/%{name}_%{version}.zip
Source1:   mapbender.conf
Source2:   README.fedora
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch

%define contentdir /var/www

Requires: httpd, php
Requires: php-mbstring, php-gd
Requires: php-mysql, php-pgsql

%description
Mapbender is the geospatial portal site management software for
OGC OWS architectures.Mapbender comes with a data model to manage
interfaces for displaying, navigating and querying OGC compliant
web map and feature services (WMS and transactional WFS).
Authentication and authorization are used by the OWS Security
Proxy and management interfaces for multi client capable user,
group and service administration. The embedded metadata component
follows ISO 19119 specification.

%prep
%setup -q -n %{name}_%{version}

set +x
for f in `find . -type f` ; do
   if file $f | grep -q ISO-8859 ; then
      set -x
      iconv -f ISO-8859-1 -t UTF-8 $f > ${f}.tmp && \
         mv -f ${f}.tmp $f
      set +x
   fi
   if file $f | grep -q CRLF ; then
      set -x
      sed -i -e 's|\r||g' $f
      set +x
   fi
done
set -x

# fix spurious flags
for f in `find . -name Mapbender.po -type f` ; do
chmod -x $f
done


%build

%install
rm -rf %{buildroot}

mkdir -p -m0755 %{buildroot}%{_sysconfdir}/%{name}
mkdir -p -m0755 %{buildroot}%{_datadir}/%{name}
mkdir -p -m0755 %{buildroot}%{contentdir}/html

# install the config files
mkdir -p %{buildroot}%{_sysconfdir}/httpd/conf.d
install -m 644 %{SOURCE1} \
   %{buildroot}%{_sysconfdir}/httpd/conf.d/

mkdir -p %{buildroot}%{_datadir}/%{name}/conf
pushd %{buildroot}%{_datadir}/%{name}/conf
 for file in {digitize_default,gazetteerSQL,mapbender,poi,session,wfs_default}; do
   ln -s ../../../../%{_sysconfdir}/%{name}/$file.conf $file.conf
 done
popd
sed -i 's|\r||g' conf/*
install -p -m 644 conf/*.conf %{buildroot}%{_sysconfdir}/%{name}
install -p -m 644 conf/%{name}.conf-dist \
        %{buildroot}%{_sysconfdir}/%{name}/%{name}.conf
install -p -m 644 conf/*.conf-dist %{buildroot}%{_datadir}/%{name}/conf

# adjust config file
sed -i 's|\"CHECK\"\, false|\"CHECK\"\, true|g' \
%{buildroot}%{_sysconfdir}/%{name}/%{name}.conf
sed -i 's|\"PORTAL\"\, false|\"PORTAL\"\, true|g' \
%{buildroot}%{_sysconfdir}/%{name}/%{name}.conf
sed -i 's|"TMPDIR", "../tmp"|"TMPDIR", "/var/tmp"|g' \
%{buildroot}%{_sysconfdir}/%{name}/%{name}.conf
sed -i 's|<ip or name>/owsproxy|localhost/owsproxy|g' \
%{buildroot}%{_sysconfdir}/%{name}/%{name}.conf
sed -i 's|<HOST>|localhost|g' \
%{buildroot}%{_sysconfdir}/%{name}/%{name}.conf
sed -i 's|<database>|mapbender|g' \
%{buildroot}%{_sysconfdir}/%{name}/%{name}.conf
sed -i 's|<owner>|root|g' \
%{buildroot}%{_sysconfdir}/%{name}/%{name}.conf


# instal mapbender
cp -pr http %{buildroot}%{_datadir}/%{name}/
cp -pr core %{buildroot}%{_datadir}/%{name}/
cp -pr lib %{buildroot}%{_datadir}/%{name}/
cp -pr tools %{buildroot}%{_datadir}/%{name}/http/
cp -pr documents %{buildroot}%{_datadir}/%{name}/
cp -pr owsproxy %{buildroot}%{_datadir}/%{name}/
cp -pr resources %{buildroot}%{_datadir}/%{name}/

# install fedora doc
install -p -m644 %{SOURCE2} .

# install index.php wrapper for tools setup-check page
pushd %{buildroot}%{_datadir}/%{name}/http/tools/
ln -s mapbender_setup.php index.php
popd

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%config %dir %{_sysconfdir}/%{name}
%attr(640,root,apache) %config(noreplace) %{_sysconfdir}/%{name}/*.conf
%config(noreplace) %{_sysconfdir}/httpd/conf.d/%{name}.conf
%doc Changes.txt Install.txt Readme.txt README.fedora
%doc license resources
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/conf
%{_datadir}/%{name}/http
%{_datadir}/%{name}/core
%{_datadir}/%{name}/lib
%{_datadir}/%{name}/documents
%{_datadir}/%{name}/owsproxy
%{_datadir}/%{name}/resources

%changelog
* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Dec 09 2008 Balint Cristian <rezso@rdsor.ro> - 2.5-1
- new release

* Sat Jul 05 2008 Balint Cristian <rezso@rdsor.ro> - 2.4.5-2
- allow connections only from localhost by defult
- create README.fedora doc

* Fri Jun 13 2008 Balint Cristian <rezso@rdsor.ro> - 2.4.5-1
- initial package, upstream stable 2.4.5

